{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>{{course.title}} Course Summary</title>
{% endblock meta %}

{% block content %}

<div class="card">
    
    <div class="card-content">
        <h4>Summary of {{course.title}}</h4>
        {% if course.subtitle %}
        <h6> {{course.subtitle}} </h6>
        {% endif %}
        <br>
        {% if not request.user.is_authenticated %}
        <h6>
            <i>
                you must login as murid to enroll this course
            </i>
        </h6>
        {% endif %}
        {%if request.user.is_superuser or request.user.is_pengajar and course.author.user.username == request.user.username %}
        <a href="/course/{{course.id}}/add-summary/" class="btn btn-large waves-effect waves-light purple darken-2 hoverable">
            <i class="material-icons left">
                playlist_add
            </i>Add Summary </a>
        {%endif%}
        {% if request.user.is_murid %}
            {%if request.user.murid in course.murid_set.all %}
            <a href="/course/{{course.id}}/" class="btn waves-effect purple darken-2"><i class="material-icons right">send</i>Details</a>
            <blockquote>

                <i> you have enrolled this course</i>
            </blockquote>
            {%endif %}
            
            {%if request.user.murid not in course.murid_set.all %}
            <a href="enroll" class="btn btn-large waves-effect waves-light purple darken-2 hoverable">
                <i class="material-icons left">
                    playlist_add
                </i> Enroll This Course </a>
            {%endif %}
        {% endif %}

    </div>

    <div class="divider"></div>
    <div class="card-content">
        
            <table>
                <tr>
                    <td>
                        Penulis
                    </td>
                    <td>
                         {{course.author.user.get_name}}  
                    </td>
                </tr>
                <tr>
                    <td>
                        Sekolah/Universitas
                    </td>
                    <td>
                         {{course.author.organization}}  
                    </td>
                </tr>
                <tr>
                    <td>
                        Deskripsi
                    </td>
                    <td>
                         {{course.description}}
                    </td>
                </tr>
            </table>
            
        <!-- <div class="divider"></div> -->

        <ul id="points" class="collection with-header">
            <li class="collection-header">
               <h6>
                   Important Points:
               </h6> 
            </li>
            
        </ul>
    </div>
</div>
    
<script>
    var id = "{{course.id}}";
    $(document).ready(function(){
    $('.collapsible').collapsible();
    $.ajax({
        type:"GET",
        url:"/course-summary/"+ id + "/summaryjson",
        success: function(response){
            for (var i=0;i<response.length; i++){
                var sum = '<a class="collection-item purple-text">' + response[i]['fields']['title'] + ' </a>'
                $("#points").append(sum)

            }
        }
    })
  });
</script>
{% endblock content %}
